package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 订单聚合表（按广告账号、渠道聚合）
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AdsDaynAmount implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_dayn_amount";

    /**
     * 注册时间
     */
    @Column
    private LocalDate dt;

    /**
     * 推广账号
     */
    @Column
    private String accountId;

    /**
     * 渠道ID
     */
    @Column
    private String agentId;

    /**
     * 每一天的的充值金额，充值次数，充值人数
     */
    @Column
    private String dayN;


}
